/*******************************************************************************
 * Copyright (c) 2004 Berthold Daum. All rights reserved. This program and the
 * accompanying materials are made available under the terms of the Common
 * Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors: Berthold Daum
 ******************************************************************************/
package com.bdaum.Hex;

import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;

public class RcpPerspective implements IPerspectiveFactory {

public void createInitialLayout(IPageLayout layout) {
    // Set layout fixed (parts cannot be closed or moved)
    // Must be set before adding views.
    layout.setFixed(true);
    layout.addView("com.bdaum.Hex.views.HexView",
                    IPageLayout.LEFT, 1.0f,
                    IPageLayout.ID_EDITOR_AREA);
    layout.setEditorAreaVisible(false);
  }}