/***
 * Hex-7
 *  Version 2.0
 * www.mazeworks.com
 *
 *  Copyright (c) 2002 David Herzog
 *  All Rights Reserved.
 */
package com.bdaum.Hex.game;

import org.eclipse.swt.graphics.Point;

/******** BEST MOVE ********
   temporary storage of candidate moves
*/   
public final class BestMove {
   private Point move ;
   private int value ;
   
   // constructors
   public BestMove() { }
   public BestMove(int v) { this(v, null) ; }
   public BestMove(int v, Point p) {
      value = v ;
      move = p ;
   }
   public Point getMove() { return move ; }
   public int getValue() { return value ; }
}